<settings xmlns="http://maven.apache.org/SETTINGS/1.0.0"
          xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance"
          xsi:schemaLocation="http://maven.apache.org/SETTINGS/1.0.0 http://maven.apache.org/xsd/settings-1.0.0.xsd">

  <!-- This is a settings.xml file retrieved from https://nexus.magnolia-cms.com -->

  <servers>
    <server>
      <id>magnolia.nexus.enterprise</id>
      <!-- Token, not actual username / password -->
      <username>${env.MAVEN_USER}</username>
      <password>${env.MAVEN_USER_PWD}</password>
    </server>
  </servers>

  <profiles>
    <profile>
      <id>magnolia-repositories</id>
      <repositories>
        <repository>
          <id>archetype</id><!-- id expected by maven-archetype-plugin to avoid fetching from everywhere -->
          <url>nexus.magnolia-cms.com/content/repositories/magnolia.public.releases</url>
          <releases>
            <enabled>true</enabled>
            <checksumPolicy>fail</checksumPolicy>
          </releases>
          <snapshots>
            <enabled>true</enabled>
            <checksumPolicy>warn</checksumPolicy>
          </snapshots>
        </repository>
        <repository>
          <id>magnolia.nexus.enterprise</id>
          <url>https://nexus.magnolia-cms.com/content/groups/enterprise/</url>
          <releases>
            <enabled>true</enabled>
          </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </repository>
        <repository>
          <id>vaadin-addons</id>
          <url>http://maven.vaadin.com/vaadin-addons/</url>
          <releases>
            <enabled>true</enabled>
          </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </repository>
      </repositories>
      <pluginRepositories>
        <pluginRepository>
          <id>magnolia.nexus.enterprise</id>
          <url>https://nexus.magnolia-cms.com/content/groups/enterprise/</url>
          <releases>
            <enabled>true</enabled>
          </releases>
          <snapshots>
            <enabled>true</enabled>
          </snapshots>
        </pluginRepository>
      </pluginRepositories>
    </profile>
  </profiles>

  <activeProfiles>
    <activeProfile>magnolia-repositories</activeProfile>
  </activeProfiles>

  <pluginGroups>
    <!-- define the sonatype plugin group, so the nexus plugins will work without typing the groupId -->
    <pluginGroup>org.sonatype.plugins</pluginGroup>
  </pluginGroups>

</settings>
